## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XObject.hpp File Reference

Include dependency graph for XObject.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

- class XObject
    Class to hold XPath return types. More...
- class XObject::XObjectException
- class XObject::XObjectInvalidConversionException
- class XObjectPtr
    Class to hold XObjectPtr return types. More...

## Defines

- #define XOBJECT_HEADER_GUARD_1357924680

## Functions

- bool operator== (const XObjectPtr &theLHS, const XObjectPtr &theRHS)
- bool operator!= (const XObjectPtr &theLHS, const XObjectPtr &theRHS)
- bool operator< (const XObjectPtr &theLHS, const XObjectPtr &theRHS)

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  class MutableNodeRefList

## Define Documentation

#define XOBJECT_HEADER_GUARD_1357924680

## Function Documentation

bool operator!= | ( | const XObjectPtr & | theLHS,
|  | const XObjectPtr & | theRHS
| ) |

bool operator< | ( | const XObjectPtr & | theLHS,
|  | const XObjectPtr & | theRHS
| ) |

bool operator== | ( | const XObjectPtr & | theLHS,
|  | const XObjectPtr & | theRHS
| ) |

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN class MutableNodeRefList

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.